all: a.bin big.bin

a.bin: a.s
	riscv64-unknown-elf-as -march=rv32i -mno-relax $? -o a.o
	riscv64-unknown-elf-ld --no-relax -melf32lriscv a.o -T a.ld -o a.elf
	riscv64-unknown-elf-objcopy -O binary --only-section=.text a.elf a.bin
	riscv64-unknown-elf-objdump -d a.elf > a.txt
	rm -fr a.o

big.bin: big.s
	riscv64-unknown-elf-as -march=rv32i -mno-relax $? -o big.o
	riscv64-unknown-elf-ld --no-relax -melf32lriscv big.o -T big.ld -o big.elf
	riscv64-unknown-elf-objcopy -O binary --only-section=.text big.elf big.bin
	riscv64-unknown-elf-objdump -d big.elf > big.txt
	rm -fr big.o

clean:
	rm -fr a.o a.txt a.bin a.elf
	rm -fr big.o big.txt big.bin big.elf
